### Home Classes Methods

### In Files

- lib/redcloth/erb_extension.rb

### Methods

- ::t
- ::textilize

### Files

- CHANGELOG
- COPYING
- README.rdoc
- Makefile

### Class/Module Index

Quicksearch

- RedCloth
- RedCloth::Formatters
- RedCloth::Formatters::Base
- RedCloth::Formatters::HTML
- RedCloth::Formatters::LATEX
- RedCloth::Formatters::LATEX::Settings
- RedCloth::TextileDoc
- RedCloth::TextileDoc::ParseError
- RedCloth::VERSION
- ERB
- ERB::Util
- Object

No matching classes.

# ERB::Util

### Public Class Methods

t( s ) click to toggle source
Alias for: textilize
textilize( s ) click to toggle source

A utility method for transforming Textile in s to HTML.

    require "erb"
    include ERB::Util

    puts textilize("Isn't ERB *great*?")

Generates

    <p>Isn&#8217;t <span class="caps">ERB</span> <strong>great</strong>?</p>

    # File lib/redcloth/erb_extension.rb, line 16
    def textilize( s )
      if s && s.respond_to?(:to_s)
        RedCloth.new( s.to_s ).to_html
      end
    end

Also aliased as: t

[Validate]

Generated with the Darkfish Rdoc Generator 2.